# Uses of Class
java.io.PrintWriter

Packages that use PrintWriter
Package
Description
com.sun.tools.javac
This package provides a legacy entry point for the javac tool.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.spi
Service provider classes for the classes in the java.util package.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.xml.crypto
Common classes for XML cryptography.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.
javax.xml.xpath
Provides an object-model neutral API for the evaluation of XPath expressions and access to the evaluation environment.

## Uses of PrintWriter in com.sun.tools.javac

Methods in com.sun.tools.javac with parameters of type PrintWriter
Modifier and Type
Method
Description
`static int`
Main.`compile​(String[] args, PrintWriter out)`
Programmatic interface to the Java Programming Language compiler, javac.

## Uses of PrintWriter in java.awt

Methods in java.awt with parameters of type PrintWriter
Modifier and Type
Method
Description
`void`
Component.`list​(PrintWriter out)`
Prints a listing to the specified print writer.
`void`
Component.`list​(PrintWriter out, int indent)`
Prints out a list, starting at the specified indentation, to the specified print writer.
`void`
Container.`list​(PrintWriter out, int indent)`
Prints out a list, starting at the specified indentation, to the specified print writer.

## Uses of PrintWriter in java.io

Methods in java.io that return PrintWriter
Modifier and Type
Method
Description
`PrintWriter`
PrintWriter.`append​(char c)`
Appends the specified character to this writer.
`PrintWriter`
PrintWriter.`append​(CharSequence csq)`
Appends the specified character sequence to this writer.
`PrintWriter`
PrintWriter.`append​(CharSequence csq, int start, int end)`
Appends a subsequence of the specified character sequence to this writer.
`PrintWriter`
PrintWriter.`format​(String format, Object... args)`
Writes a formatted string to this writer using the specified format string and arguments.
`PrintWriter`
PrintWriter.`format​(Locale l, String format, Object... args)`
Writes a formatted string to this writer using the specified format string and arguments.
`PrintWriter`
PrintWriter.`printf​(String format, Object... args)`
A convenience method to write a formatted string to this writer using the specified format string and arguments.
`PrintWriter`
PrintWriter.`printf​(Locale l, String format, Object... args)`
A convenience method to write a formatted string to this writer using the specified format string and arguments.
`PrintWriter`
Console.`writer()`
Retrieves the unique `PrintWriter` object associated with this console.

## Uses of PrintWriter in java.lang

Methods in java.lang with parameters of type PrintWriter
Modifier and Type
Method
Description
`void`
Throwable.`printStackTrace​(PrintWriter s)`
Prints this throwable and its backtrace to the specified print writer.

## Uses of PrintWriter in java.sql

Methods in java.sql that return PrintWriter
Modifier and Type
Method
Description
`static PrintWriter`
DriverManager.`getLogWriter()`
Retrieves the log writer.
Methods in java.sql with parameters of type PrintWriter
Modifier and Type
Method
Description
`static void`
DriverManager.`setLogWriter​(PrintWriter out)`
Sets the logging/tracing `PrintWriter` object that is used by the `DriverManager` and all drivers.

## Uses of PrintWriter in java.util

Methods in java.util with parameters of type PrintWriter
Modifier and Type
Method
Description
`void`
Properties.`list​(PrintWriter out)`
Prints this property list out to the specified output stream.

## Uses of PrintWriter in java.util.spi

Methods in java.util.spi with parameters of type PrintWriter
Modifier and Type
Method
Description
`int`
ToolProvider.`run​(PrintWriter out, PrintWriter err, String... args)`
Runs an instance of the tool, returning zero for a successful run.

## Uses of PrintWriter in javax.sql

Methods in javax.sql that return PrintWriter
Modifier and Type
Method
Description
`PrintWriter`
CommonDataSource.`getLogWriter()`
Retrieves the log writer for this `DataSource` object.
`PrintWriter`
ConnectionPoolDataSource.`getLogWriter()`
Retrieves the log writer for this `DataSource` object.
`PrintWriter`
DataSource.`getLogWriter()`
Retrieves the log writer for this `DataSource` object.
`PrintWriter`
XADataSource.`getLogWriter()`
Retrieves the log writer for this `DataSource` object.
Methods in javax.sql with parameters of type PrintWriter
Modifier and Type
Method
Description
`void`
CommonDataSource.`setLogWriter​(PrintWriter out)`
Sets the log writer for this `DataSource` object to the given `java.io.PrintWriter` object.
`void`
ConnectionPoolDataSource.`setLogWriter​(PrintWriter out)`
Sets the log writer for this `DataSource` object to the given `java.io.PrintWriter` object.
`void`
DataSource.`setLogWriter​(PrintWriter out)`
Sets the log writer for this `DataSource` object to the given `java.io.PrintWriter` object.
`void`
XADataSource.`setLogWriter​(PrintWriter out)`
Sets the log writer for this `DataSource` object to the given `java.io.PrintWriter` object.

## Uses of PrintWriter in javax.xml.crypto

Methods in javax.xml.crypto with parameters of type PrintWriter
Modifier and Type
Method
Description
`void`
KeySelectorException.`printStackTrace​(PrintWriter s)`
Prints this `KeySelectorException`, its backtrace and the cause's backtrace to the specified print writer.
`void`
MarshalException.`printStackTrace​(PrintWriter s)`
Prints this `MarshalException`, its backtrace and the cause's backtrace to the specified print writer.
`void`
NoSuchMechanismException.`printStackTrace​(PrintWriter s)`
Prints this `NoSuchMechanismException`, its backtrace and the cause's backtrace to the specified print writer.
`void`
URIReferenceException.`printStackTrace​(PrintWriter s)`
Prints this `URIReferenceException`, its backtrace and the cause's backtrace to the specified print writer.

## Uses of PrintWriter in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig with parameters of type PrintWriter
Modifier and Type
Method
Description
`void`
TransformException.`printStackTrace​(PrintWriter s)`
Prints this `TransformException`, its backtrace and the cause's backtrace to the specified print writer.
`void`
XMLSignatureException.`printStackTrace​(PrintWriter s)`
Prints this `XMLSignatureException`, its backtrace and the cause's backtrace to the specified print writer.

## Uses of PrintWriter in javax.xml.transform

Methods in javax.xml.transform with parameters of type PrintWriter
Modifier and Type
Method
Description
`void`
TransformerException.`printStackTrace​(PrintWriter s)`
Print the the trace of methods from where the error originated.

## Uses of PrintWriter in javax.xml.xpath

Methods in javax.xml.xpath with parameters of type PrintWriter
Modifier and Type
Method
Description
`void`
XPathException.`printStackTrace​(PrintWriter s)`
Print stack trace to specified `PrintWriter`.